function Plot2Dfield(BMesh,modeNum,field,neff,figureNum,alpha)

figure(figureNum);
for i=1:modeNum
    subplot(1,modeNum,i);
    h1=trisurf(BMesh.NewFaces,BMesh.Nodes(:,1),BMesh.Nodes(:,2),field(:,i));
    shading interp
    set(h1,'edgecolor','black','edgealpha',alpha);
    view(2); axis equal; axis tight;
    xlabel('X  单位：m');
    ylabel('Y  单位：m');
    titleStr=['第',num2str(figureNum),'个端口：','第',num2str(i),'个本征模式 normE neff=',num2str(neff(i))];
    title(titleStr);
    colorbar;
    colormap jet;
    caxis([min(field(:,i)) max(field(:,i))]);
end

end